TTF_SetFontOutline(3)

NAME
TTF_SetFontOutline - Set a font's current outline.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontOutline(TTF_Font *font, int outline);

DESCRIPTION
This uses the font properties

TTF_PROP_FONT_OUTLINE_LINE_CAP_NUMBER ,

TTF_PROP_FONT_OUTLINE_LINE_JOIN_NUMBER , and

TTF_PROP_FONT_OUTLINE_MITER_LIMIT_NUMBER when setting the font outline.

This updates any TTF_Text
 objects using this font, and clears already-generated glyphs, if any, from the cache.

FUNCTION PARAMETERS

font
    the font to set a new outline on.

outline
    positive outline value, 0 to default.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontOutline(3)